Summary: Examines C/C++ source code for security flaws
Name: flawfinder
Version: 1.31
Release: 1%{?dist}
License: GPLv2
Group: Development/Tools
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
URL: http://www.dwheeler.com/flawfinder/
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch: noarch
BuildRequires: python

%description
Flawfinder scans through C/C++ source code,
identifying lines ("hits") with potential security flaws.
By default it reports hits sorted by severity, with the riskiest lines first.


%prep
%setup  -q


%build
make 

%install
rm -rf $RPM_BUILD_ROOT
install -p -m755 -D flawfinder ${RPM_BUILD_ROOT}%{_bindir}/flawfinder
install -p -m644 -D flawfinder.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/flawfinder.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc README ChangeLog COPYING 
%{_bindir}/flawfinder
%{_mandir}/man1/flawfinder.1*

%changelog
* Mon Aug  4 2014 Jakub Hrozek <jhrozek@redhat.com> - 1.31-1
- New upstream release 1.31

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.27-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Oct 14 2007 Jakub Hrozek <jhrozek@redhat.com> 1.27-3
- fix the dist tag
- fix build requires
- fix the Source URL to point to SF.net

* Sat Oct 13 2007 Jakub Hrozek <jhrozek@redhat.com> 1.27-2
- refactor the spec file to conform to the Fedora Guidelines

* Sat Feb 1 2003 Jose Pedro Oliveira <jpo@di.uminho.pt>
- changed build architecture to noarch
- replaced hardcoded directories by rpm macros
- removed several rpmlint warnings/errors

